# applyPostWeatherLapseAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostWeatherLapseAbAttrs

- applyPostWeatherLapseAbAttrs(
  attrType: Constructor < PostWeatherLapseAbAttr >,
  pokemon: default ,
  weather: null | Weather ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostWeatherLapseAbAttr >
  - pokemon: default
  - weather: null | Weather
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:6101